> For the complete documentation index, see [llms.txt](https://docs.digitalriver.com/commerce-api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.digitalriver.com/commerce-api/payments/payments-solutions/digitalriver.js/payment-methods/common-payment-objects.md).

# Common payment objects

## Owner object

{% tabs %}
{% tab title="Owner object example" %}

```javascript
{
	"firstName": "Otis",
	"lastName": "Lin",
	"email": "test@digitalriver.com",
	"phoneNumber": "01314532211",
        "organization": "DR",
	"address": {
	  "line1": "东城区景山前街4号",
	  "city": "北京市",
	  "country": "CN",
	  "postalCode": "100009"
	}
}
```

{% endtab %}
{% endtabs %}

| Field                 | Required/Optional | Description                                                                                                                                                                                                 |
| --------------------- | ----------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| firstName             | Required          | The customer's first name as it appears on the payment instrument.                                                                                                                                          |
| lastName              | Required          | The customer's last name as it appears on the payment instrument.                                                                                                                                           |
| phoneNumber           | Required          | The customer's phone number.                                                                                                                                                                                |
| email                 | Required          | The customer's email address.                                                                                                                                                                               |
| address               | Required          | An [Address object](/commerce-api/payments/payments-solutions/digitalriver.js/payment-methods/common-payment-objects.md#address-object).                                                                    |
| additionalAddressInfo | Optional          | <p>An <a href="/pages/-M1bRWHyY1zJJB37gThn#additional-address-information-object">Additional Address Information object</a>.</p><p>Additional address fields may be required for certain payment types.</p> |

## Address object

{% tabs %}
{% tab title="Address object example" %}

```javascript
{
	"line1": "1-16-24 Minami-gyotoku",
	"line2": "Ichikawa-shi",
	"city": "Chiba",
	"state": "Kyongsangnamdo",
	"postalCode": "272-0138",
	"country": "JP"
}
```

{% endtab %}
{% endtabs %}

| Field      | Required/Optional | Description                                    |
| ---------- | ----------------- | ---------------------------------------------- |
| line1      | Required          | Line 1 of the Customer's billing address.      |
| line2      | Required          | Line 2 of the Customer's billing address.      |
| city       | Required          | City of the Customer's billing address.        |
| state      | Required          | State of the Customer's billing address.       |
| postalCode | Required          | Postal Code of the Customer's billing address. |
| country    | Required          | Country of the Customer's billing address.     |

## Additional address information object

{% tabs %}
{% tab title="Additional Address Information object" %}

```javascript
{
    "neighborhood": "Centro",
    "phoneticFirstName": "John",
    "phoneticLastName": "Doe",
		"division": "Development"
}
```

{% endtab %}
{% endtabs %}

| Field             | Required/Optional | Description                                         |
| ----------------- | ----------------- | --------------------------------------------------- |
| neighborhood      | Optional          | The neighborhood of the Customer.                   |
| phoneticFirstName | Optional          | The phonetic spelling of the Customer's first name. |
| phoneticLastName  | Optional          | The phonetic spelling of the Customer's last name.  |
| division          | Optional          | The division applicable to the Customer.            |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.digitalriver.com/commerce-api/payments/payments-solutions/digitalriver.js/payment-methods/common-payment-objects.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
